package com.yihu.hos.system.service.intf;

import com.yihu.hos.web.framework.model.Result;
import com.yihu.hos.system.model.SystemParam;

import java.util.Map;

/**
 * Created by chenweida on 2016/1/19.
 */
public interface ISystemParamManager {
    Result getParamList(Map<String, Object> params) throws Exception;

    SystemParam getParamById(String id) throws Exception;

    Result addParam(SystemParam obj) throws Exception;

    Result updateParam(SystemParam obj) throws Exception;

    Result deleteParam(String id) throws Exception;
}
